﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ApplicationFormController.cs" company="MIPS">
//   All rights reserver to MIPS.
// </copyright>
// <summary>
//   Defines the ApplicationFormController type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace GlimsPureDotNet.Controllers
{
    using GlimsPureDotNet.Views;

    /// <summary>
    /// The application form controller.
    /// </summary>
    public class ApplicationFormController : IController
    {
        /// <summary>
        /// The view.
        /// </summary>
        private ApplicationForm view;

        /// <summary>
        /// Initializes a new instance of the <see cref="ApplicationFormController"/> class.
        /// </summary>
        /// <param name="applicationForm">
        /// The application form.
        /// </param>
        public ApplicationFormController(ApplicationForm applicationForm)
        {
            this.view = applicationForm;
            this.view.AddListener(this);
        }

        /// <summary>
        /// The ultra toolbars manager tool click.
        /// </summary>
        /// <param name="sender">
        /// The sender.
        /// </param>
        /// <param name="e">
        /// The e.
        /// </param>
        public void UltraToolbarsManagerToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
        {
            // ApplicationForm knows that, except for a few hardcoded exceptions, all MipsForms will be MdiChilds.
            var mipsForm = new MipsForm();
            mipsForm.MdiParent = this.view;
            mipsForm.Show();
            /*var mipsFormController = new MipsFormController(mipsForm);
            this.view.ultraToolbarsManager.MdiMergeable = false;
            mipsFormController.UltraToolbarsManager.MdiMergeable = false;
            mipsFormController.UltraToolbarsManager.MdiParentManager = this.view.ultraToolbarsManager;*/

        }
    }
}
